Package weka.gui.beans

# Interface TrainingSetProducer

All Known Implementing Classes:
  `AbstractTrainAndTestSetProducer`, `AbstractTrainingSetProducer`, `ClassAssigner`, `CrossValidationFoldMaker`, `Filter`, `PredictionAppender`, `TrainingSetMaker`, `TrainTestSplitMaker`

public interface TrainingSetProducer
Interface to something that can produce a training set

Version:
  $Revision: 1.3 $
Author:
  Mark Hall

## Method Summary

Modifier and Type
Method
Description
`void`
`addTrainingSetListener(TrainingSetListener tsl)`
Add a training set listener
`void`
`removeTrainingSetListener(TrainingSetListener tsl)`
Remove a training set listener

## Method Details

### addTrainingSetListener

void addTrainingSetListener(TrainingSetListener tsl)
Add a training set listener

Parameters:
  `tsl` - a `TrainingSetListener` value

### removeTrainingSetListener

void removeTrainingSetListener(TrainingSetListener tsl)
Remove a training set listener

Parameters:
  `tsl` - a `TrainingSetListener` value